﻿@model BudgetLiteInfo
<form asp-action="savebudgetliteinfo" class="form fv-plugins-bootstrap fv-plugins-framework" id="kt_clientinfo_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteWithWizardRealodExplicitVue">
    <div class="d-flex justify-content-between mb-5">
        <div>
            <h4 class="text-dark font-weight-bold mt-2 mr-5">Lets get better understanding of your cash flow</h4>
        </div>
        <div>
            <button class="btn btn-secondary font-weight-bold px-6 py-2" id="btn-save-exit">Save & Exit</button>
        </div>
    </div>
    <div class="wizard-content-height">
        <div class="mb-2 row">
            <label class="col-5 col-xl-3 col-form-label" asp-for="AssumedInflationRate"></label>
            <div class="col-3">
                <input asp-for="AssumedInflationRate" class="form-control form-control-sm percentage w-120px" type="text">
            </div>
        </div>
        <div class="mb-2 row">
            <label class="col-12 col-xl-6 col-form-label" asp-for="ProjectedAnnualBudget"></label>
            <div class="col-3">
                <input asp-for="ProjectedAnnualBudget" class="form-control form-control-sm currency w-120px non-zero" type="text">
            </div>
        </div>
        <div class="mb-2 row">
            <label class="col-12 col-xl-6 col-form-label" asp-for="InflationaryBudget">How much of my projected budget is inflationary expenses</label>
            <div class="col-3">
                <input asp-for="InflationaryBudget" class="form-control form-control-sm currency w-120px non-zero" type="text">
                <div class="d-flex justify-content-end w-120px" id="InflationaryBudgetCalculated">
                    <span class="switch-label form-check-label" id="inflationaryAmtIncluded" style="font-size:0.90rem"></span>
                    <span>
                        <i class="fas fa-info-circle ml-2 text-warning" data-toggle="tooltip" data-placement="right" title="" style="font-size:1rem" data-original-title="Amount including inflation"></i>
                    </span>
                </div>
            </div>
        </div>
        <div class="mb-2 row">
            <label class="col-12 col-xl-6 col-form-label" asp-for="NonInflationaryBudget">How much of my projected budget is non-inflationary expenses</label>
            <div class="col-3">
                <input asp-for="NonInflationaryBudget" class="form-control form-control-sm currency w-120px non-zero" type="text">
            </div>
        </div>
    </div>
    <partial name="_WizardFooter" />
</form>
<script>
    var el = $("#btn-submit[data-next-action='/']");
    el.attr("data-original-title", `Select at least one Planning area`);
    var resetInflationaryNonInflationary = function (initial) {
        var projected = $("#ProjectedAnnualBudget").val();
        if (projected <= 0)
            $("#InflationaryBudget, #NonInflationaryBudget").prop("disabled", true);
        else
            $("#InflationaryBudget, #NonInflationaryBudget").prop("disabled", false);
    }
    resetInflationaryNonInflationary();
    $(`#InflationaryBudget,#NonInflationaryBudget`).on('input', function (e) {
        var id = $(this).attr("id");
        var total = $("#ProjectedAnnualBudget").val();
        var el = id == "InflationaryBudget" ? "NonInflationaryBudget" : "InflationaryBudget";
        var targetValue = e.target.value
        $(`#${el}`).val(total - targetValue);
        if (total == targetValue)
            $(`#${el}`).rules('remove', 'required');
        else
            $(`#${el}`).rules('add', 'required');
        if (Number(targetValue) > total)
            $(`#InflationaryBudget,#NonInflationaryBudget,#ProjectedAnnualBudget`).val("");
        showHideInflationary();
    });
    $(`#ProjectedAnnualBudget`).on('input', function (e) {
        $(`#InflationaryBudget,#NonInflationaryBudget`).val("");
        $("#InflationaryBudgetCalculated").addClass("d-none").removeClass("d-flex");
        resetInflationaryNonInflationary();
    });
    var showHideInflationary = function () {
        var inflationary = Number($("#InflationaryBudget").val());
        var rate = Number($("#AssumedInflationRate").val());
        $("#InflationaryBudgetCalculated").addClass("d-none").removeClass("d-flex");
        if (inflationary) {
            var withInflation = inflationary + (inflationary * rate / 100);
            var withInflationCurrency = !isNaN(withInflation) ? currencyFormat.format(Math.round(withInflation)) : 0;
            $("#inflationaryAmtIncluded").text(withInflationCurrency);
            $("#InflationaryBudgetCalculated").removeClass("d-none").addClass("d-flex");
        }
    }
    showHideInflationary();
    $(`#AssumedInflationRate`).on('input', function (e) {
        showHideInflationary();
    });
</script>